summaryrefslogtreecommitdiffstats
path: root/headers/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'headers/test.sh')
-rwxr-xr-xheaders/test.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/headers/test.sh b/headers/test.sh
new file mode 100755
index 0000000..aa05ef4
--- /dev/null
+++ b/headers/test.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/bash
+
+set -eu
+
+cargo test --all-features "$@"
+cargo clean -p mail-headers
+cargo build "$@"
+rustdoc --test README.md -L./target/debug/deps \ No newline at end of file